# Visitor

## Method & Permission

| API            | GET                                              | POST | PUT | PATCH | DELETE |
| -------------- | ------------------------------------------------ | ---- | --- | ----- | ------ |
| Visitor List   | Admin, Project Admin, Project Edit, Project View | -    | -   | -     | -      |
| Visitor Detail | Admin, Project Admin, Project Edit, Project View | -    | -   | -     | -      |

## Visitor List

<mark style="color:blue;">`GET`</mark> `/tables/visitor/list/{level}/{sid}/{serializer}/`

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| level      | string | organization     |
| sid        | string | organization sid |
| serializer | string |                  |

#### Query Parameters

| Name       | Type   | Description |
| ---------- | ------ | ----------- |
| row\_\_sid | string | The row sid |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
# serializer = name
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 7,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "yBEH0a40x15AFKPUZ50",
            "name": "XXX at 2021-03-23 06:24:27.804126+00:00"
        },
          ...
    ]
}
# serializer = list
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 7,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "yBEH0a40x15AFKPUZ50",
            "updated_by": "XXX",
            "date_created": "2021-03-23T06:24:27.804126Z",
            "change_permission": false
        },
          ...
    ]
}
# serializer = detail
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 7,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "yBEH0a40x15AFKPUZ50",
            "row": {
                "sid": "psvy0a40x6e7crwBGLQV1",
                "name": "EP579: Test Name 20210321184523"
            },
            "updated_by": "XXX",
            "date_created": "2021-03-23T06:24:27.804126Z",
            "change_permission": false
        },
          ...
    ]
}
```

{% endtab %}

{% tab title="406 " %}

```
Invalid row__sid (xxx)
```

{% endtab %}
{% endtabs %}

## Visitor Detail

<mark style="color:blue;">`GET`</mark> `/tables/visitor/detail/{sid}/`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "yBEH0a40x15AFKPUZ50",
    "row": {
        "sid": "psvy0a40x6e7crwBGLQV1",
        "name": "EP579: Test Name 20210321184523"
    },
    "updated_by": "XXX",
    "date_created": "2021-03-23T06:24:27.804126Z",
    "change_permission": false
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.labii.com/api/methods/visitor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
